# class Puppet::Status

### Attributes

status[RW]

### Public Class Methods

from_pson( pson ) click to toggle source

    # File lib/puppet/status.rb, line 17
    def self.from_pson( pson )
      self.new( pson )
    end

new( status = nil ) click to toggle source

    # File lib/puppet/status.rb, line 9
    def initialize( status = nil )
      @status = status || {"is_alive" => true}
    end

### Public Instance Methods

name() click to toggle source

    # File lib/puppet/status.rb, line 21
    def name
      "status"
    end

name=(name) click to toggle source

    # File lib/puppet/status.rb, line 25
    def name=(name)
      # NOOP
    end

to_pson(*args) click to toggle source

    # File lib/puppet/status.rb, line 13
    def to_pson(*args)
      @status.to_pson
    end